<?
/************************************************************************/
/* NPDS SABLE : Net Portal Dynamic System .                             */
/*======================================================================*/
/*                                                                      */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001-2004 by Philippe Brunier   */
/*                                                                      */
/*           Module UploadMI V1.0 pour Npds by Patrice Lopez            */
/*                                                                      */
/* Le 11/03/2007                                                        */
/*                                                                      */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

// Cartouche fondamentale module NPDS

global $pdst,$language;
$pdst="0";

if($admin){
 // include du FICHIER DE CONFIG UPLOAD
 include ("modules/$ModPath/upload.conf.php");

 // include du FICHIER DE LANGUE
 include ("modules/$ModPath/admin/lang/$language.php");

 // include DU FICHIER LISTE DES MEMBRES
 include ("modules/$ModPath/admin/memberslist.php");

 $ThisFile="admin.php?op=Extend-Admin-SubModule&amp;ModPath=".$ModPath."&amp;ModStart=".$ModStart;
 OpenTable();
 echo "<H3 align=\"center\">".adm_uploadMI_translate("Administration du module UploadMI");
 CloseTable(); 

 $file_maxsize=$max_size/1024/1024;
 $file_maxsize=number_format($file_maxsize, 1,'.','');
 echo "<br />".adm_uploadMI_translate("Taille maximum autorise pour une pice jointe: ").$file_maxsize." ".adm_uploadMI_translate("Mo")."<br /><br />";

 $quota_size=$quota_MI/1024/1024;
 $quota_size=number_format($quota_size, 1,'.','');
 echo adm_uploadMI_translate("Quota du rpertoire")." <b>users_private/MI: </b>".$quota_size." ".adm_uploadMI_translate("Mo")."<br /><br />";


 echo "<TABLE WIDTH=\"100%\" CELLSPACING=\"2\" CELLPADDING=\"2\" BORDER=\"0\"><TR><TD CLASS=\"HEADER\" WIDTH=\"30%\">\n";
 echo adm_uploadMI_translate("Gestion des pices jointes");
 echo "</TD><TD CLASS=\"HEADER\">";
 echo "&nbsp;<a href=\"".$ThisFile."&subop=list-depassement\" class=\"BOX\">".adm_uploadMI_translate(" Liste des membres dpassant le quota autoris")."</a> | ";
 echo "<a href=\"".$ThisFile."&subop=purge\" class=\"BOX\">".adm_uploadMI_translate("Purger")."</a>";
 echo "</TD></TR></TABLE>\n";
 echo "<br />\n"; 
 
/************************************************************************/
/* SpaceDisk() : fonction de calcul de la taille d'un rpertoire        */
/*======================================================================*/

 function SpaceDisk($repertoire)
  {
   $dossier = opendir($repertoire);
   while ($Fichier = readdir($dossier)) 
    {
     if ($Fichier != "." && $Fichier != "..") 
       {
        $nomFichier = $repertoire."/".$Fichier;
        $size += filesize($nomFichier);
       }
    }

   return($size);
  }

/***************************************************************************/
/* List_Depassement_Quota(): fonction de mise en forme                     */
/*=========================================================================*/
/* Cette fonction fait appel  List_Members() qui retourne la liste        */
/* des membres dpassant le quota de pices jointe autoris.               */
/***************************************************************************/

 function List_Depassement_Quota($ModPath, $ModStart,$letter,$sortby,$list)
  {
   global $dbhost,$dbuname,$dbpass;
  
   echo "<b>".adm_uploadMI_translate("Liste des membres dpassant le quota de pices jointes autoris")."</b><br />";

   List_Members($letter,$sortby,$list);
  }

/************************************************************************/
/* Effacer(): fonction d'effacement d'un rpertoire                     */
/*======================================================================*/

 function Effacer($fichier) 
 { 
  if (file_exists($fichier)) 
  { 
   chmod($fichier,0777); 
   if (is_dir($fichier)) 
   { 
    $id_dossier = opendir($fichier); 
    while($element = readdir($id_dossier)) 
    { 
     if ($element != "." && $element != "..") 
     unlink($fichier."/".$element); 
    } 
    closedir($id_dossier); 
    rmdir($fichier); 
   } 
   else unlink($fichier); 
  } 
 }

/************************************************************************/
/* Confirme_Purge(): fonction de demande de confirmation pour la purge  */
/*======================================================================*/

 function Confirme_Purge() 
  {
   global $ThisFile;
   echo adm_uploadMI_translate("Voulez vous continuer?")."<br />";
   echo "<b><a href=\"$ThisFile&subop=purge&confirm=1\">".adm_uploadMI_translate("oui")."</a></b>"." "."<b><a href=\"$ThisFile\">".adm_uploadMI_translate("non")."</a></b>"; 
  }

/*****************************************************************************/
/* Purge_Repertoire_MI(): fonction de purge des rpertoires users_private/MI */
/*===========================================================================*/

 function Purge_Repertoire_MI($ModPath, $ModStart)
  {
   global $quota_MI;
   $result = mysql_query("select uname from users order by uid DESC");
   while($temp_user = mysql_fetch_array($result) ) {
 	 		//******** Vrification de dpassement du quota des pices jointes			
 	 		if( ($temp_user[uname]!='Anonyme') && (is_dir("users_private/$temp_user[uname]/MI"))&& (SpaceDisk("users_private/$temp_user[uname]/MI")>$quota_MI) )
 			 {
                     echo adm_uploadMI_translate("- Purge du rpertoire ")."users_private/$temp_user[uname]/MI"." ".adm_uploadMI_translate("effectue")."<br />";
                     Effacer("users_private/$temp_user[uname]/MI");
                    }
   }
 }



 switch($subop) {
 case "purge":
  {
  if(!isset($confirm))
   {
    echo "<b>".adm_uploadMI_translate("Purge des rpertoires users_private/MI des membres dpassant le quota autoris")."</b><br /><br />";
    Confirme_Purge();
   }
   else
    {
     if($confirm)
      {
       Purge_Repertoire_MI($ModPath, $ModStart);
      }
    }
  }
 break;
 default:
  List_Depassement_Quota($ModPath, $ModStart,$letter,$sortby,$list);
 break;
 }  
}
?>