<?PHP
/************************************************************************/
/* NPDS SABLE : Net Portal Dynamic System .                             */
/*======================================================================*/
/*                                                                      */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001-2004 by Philippe Brunier   */
/*                                                                      */
/*           Module UploadMI V1.0 pour Npds by Patrice Lopez            */
/*                                                                      */
/* Le 11/03/2007                                                        */
/*                                                                      */
/* memberslist.php renvoie la liste des membres dpassant le quota      */
/* de pices jointe autoris.                                           */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

// Make Member_list Private or not
if (!AutoReg()) { unset($user); }

function alpha() {
   global $sortby, $list;
   if (!isset($sortby)) { $sortby = "uid DESC"; }
   $alphabet = array ("".translate("All")."", "A","B","C","D","E","F","G","H","I","J","K","L","M",
                     "N","O","P","Q","R","S","T","U","V","W","X","Y","Z","".translate("Other")."");

   echo "<table width=\"100%\" border=\"0\"><tr><td width=\"50%\" align=\"center\" valign=\"top\">";
   $num = count($alphabet) - 1;
   $counter = 0;
   while (list(, $ltr) = each($alphabet)) {
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$ltr&amp;sortby=$sortby&amp;list=$list\" class=\"NOIR\">$ltr</a>";
      if ( $counter == round($num/2) ) {
         echo " ]<br />[ ";
      } elseif ( $counter != $num ) {
         echo "&nbsp;|&nbsp;";
      }
      $counter++;
   }
   echo "</td><td class=\"NOIR\">";
   echo "<form action=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index\" method=\"post\">";
   echo translate("Search")." : <input class=\"TEXTBOX_STANDARD\" type=\"input\" name=\"letter\" size=\"30\" maxlenght=\"60\">";
   echo "<input type=\"hidden\" name=\"list\" value=\"".urldecode($list)."\">";
   echo "<input type=\"hidden\" name=\"TempoSuperCache\" value=\"OFF\">";
   echo "</form>";
   echo "</td></tr></table>";
}

function unique($ibid) {
   while (list(,$to_user) = each($ibid)) {
      if (!$Xto_user[$to_user]) {
         $Xto_user[$to_user]=$to_user;
      }
   }
   return ($Xto_user);
}

function SortLinks($letter) {
   global $sortby, $list, $admin;
   if ($letter == "front") {
      $letter = translate("All");
   }
   $sort=false;
   echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td align=\"center\">\n";
   echo translate("Sort by:")." ";
   if ($sortby == "uname ASC" OR !$sortby) {
      echo translate("nickname")."&nbsp;|&nbsp;";
      $sort=true;
   } else {
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=uname%20ASC&amp;list=$list\" class=\"NOIR\">".translate("nickname")."</a>&nbsp;|&nbsp;";
   }
   if ($sortby == "name ASC") {
      echo translate("real name")."&nbsp;|&nbsp;";
      $sort=true;
   } else {
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=name%20ASC&amp;list=$list\" class=\"NOIR\">".translate("real name")."</a>&nbsp;|&nbsp;";
   }
   if ($sortby == "user_avatar ASC") {
      echo translate("Avatar")."&nbsp;|&nbsp;";
      $sort=true;
   } else {
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=user_avatar%20ASC&amp;list=$list\" class=\"NOIR\">".translate("Avatar")."</a>&nbsp;|&nbsp;";
   }
   if (($sortby == "femail ASC") or ($sortby == "email ASC")) {
      echo translate("Email")."&nbsp;|&nbsp;";
      $sort=true;
   } else {
      if ($admin) {
         echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=email%20ASC&amp;list=$list\" class=\"NOIR\">".translate("Email")."</a>&nbsp;|&nbsp;";
      } else {
         echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=femail%20ASC&amp;list=$list\" class=\"NOIR\">".translate("Email")."</a>&nbsp;|&nbsp;";
      }
   }
   if ($sortby == "user_from ASC") {
      echo translate("Location")."&nbsp;|&nbsp;";
      $sort=true;
   } else {
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=user_from%20ASC&amp;list=$list\" class=\"NOIR\">".translate("Location")."</a>&nbsp;|&nbsp;";
   }
   if ($sortby == "url DESC") {
      echo translate("url")."&nbsp;|&nbsp;";
      $sort=true;
   } else {
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=url%20DESC&amp;list=$list\" class=\"NOIR\">".translate("url")."</a>&nbsp;|&nbsp;";
   }
   if ($sortby == "mns DESC") {
      echo translate("Mini-Web site")."&nbsp;|&nbsp;";
      $sort=true;
   } else {
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=mns%20DESC&amp;list=$list\" class=\"NOIR\">".translate("Mini-Web site")."</a>&nbsp;|&nbsp;";
   }
   if ($sortby == "uid DESC") {
      echo "I.D";
      $sort=true;
   } else {
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=uid%20DESC&amp;list=$list\" class=\"NOIR\">I.D</a>";
   }
   if (!$sort) {$sortby="uname ASC";}

    echo "</td></tr></table>\n";
}

function avatar($user_avatar) {
   if (!$user_avatar) {
      $imgtmp="images/forum/avatar/blank.gif";
   } else if (stristr($user_avatar,"users_private")) {
      $imgtmp=$user_avatar;
   } else {
      if ($ibid=theme_image("forum/avatar/$user_avatar")) {$imgtmp=$ibid;} else {$imgtmp="images/forum/avatar/$user_avatar";}
      if (!file_exists($imgtmp)) {$imgtmp="images/forum/avatar/blank.gif";}
   }
   return ($imgtmp);
}

function List_Members($letter,$sortby,$list)
 {  
   global $show_user,$quota_MI, $page, $user_over_quota;
   $user_over_quota=0;  // Nombre d'utilisateur dpassant le quota de pj autoris 
   
   // OFF temporairement SC pour la recherche
   if ($TempoSuperCache=="OFF") {$SuperCache=false;}
   
   $pagesize = $show_user;

   $letter=removeHack(stripslashes(htmlspecialchars($letter, ENT_QUOTES)));
   $sortby=removeHack($sortby);
   if (!isset($letter)) { $letter = translate("All"); }
   if (!isset($sortby)) { $sortby = "uid DESC"; }
   if (!isset($page)) { $page = 1; }

   if ($list!="") {
      $tempo=unique(explode(",",$list));
      $list=urlencode(implode(",",$tempo));
   }
   echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"HEADER\">\n";
   echo "</td></tr></table>\n";
   Opentable();
   if (!$admin) {
      if ($SuperCache) {
         $cache_obj = new cacheManager();
         $cache_obj->startCachingPage();
      }
   }
   if (($cache_obj->genereting_output==1) or ($cache_obj->genereting_output==-1) or (!$SuperCache) or ($admin)) {
      alpha();
      SortLinks($letter);

      $min = $pagesize * ($page - 1);
      $max = $pagesize;

      $count = "SELECT COUNT(uid) AS total FROM users ";
      $select = "select uid, name, uname, femail, url, user_regdate, user_from, email, is_visible, user_viewemail, user_avatar, mns from users ";
      if ( ( $letter != "".translate("Other")."" ) AND ( $letter != "".translate("All")."" ) ) {
         $where = "where uname like '".$letter."%'";
      } else if ( ( $letter == "".translate("Other")."" ) AND ( $letter != "".translate("All")."" ) ) {
         $where = "where uname REGEXP \"^\[1-9]\" ";
      } else {
         $where = "";
      }
      global $member_invisible;
      if ($member_invisible) {
         if ($admin)
            $and="";
         else {
            if ($where)
               $and="and is_visible=1 ";
            else
               $and="where is_visible=1 ";
         }
      } else {
         $and="";
      }

      $sort = "order by $sortby";
      $limit = " LIMIT ".$min.", ".$max;
      $count_result = mysql_query($count.$where);
      $num_rows_per_order = mysql_result($count_result,0,0);

      // calcul du nombre total d'utilisateurs dpassant le quota de pj autoris $user_over_quota
         $result_total = mysql_query($select.$where.$and.$sort) or die(mysql_error() );
		 $i=0;
	     while($temp_user_total = mysql_fetch_array($result_total) ) {
			//******** Vrification de dpassement du quota des pices jointes
			if( ($temp_user_total[uname]!='Anonyme') && (is_dir("users_private/$temp_user_total[uname]/MI"))&& (SpaceDisk("users_private/$temp_user_total[uname]/MI")>$quota_MI) )
			{
			   $tab_user_over_quota[$i]=$temp_user_total;
			   $i++;
			   $user_over_quota+=1;
			}
         }

      echo "<br />";
      if ( $letter != "front" ) {
         echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"1\" border=\"0\"><tr class=\"HEADER\">\n";
         echo "<td class=\"BOX\"><span style=\"font-size: 10px;\"><b>".translate("Nickname")."</b></span></td>\n";
         echo "<td class=\"BOX\">&nbsp;</td>\n";
         echo "<td class=\"BOX\" align=\"center\">&nbsp;</td>";
         echo "<td class=\"BOX\" align=\"center\">&nbsp;</td>";
         echo "<td class=\"BOX\"><span style=\"font-size: 10px;\"><b>".translate("Real Name")."</b></span></td>\n";
         if ($sortby!="user_from ASC") {
            echo "<td class=\"BOX\"><span style=\"font-size: 10px;\"><b>".translate("Email")."</b></span></td>\n";
         } else {
            echo "<td class=\"BOX\"><span style=\"font-size: 10px;\"><b>".translate("Location")."</b></span></td>\n";
         }
         echo "<td class=\"BOX\"><span style=\"font-size: 10px;\"><b>".translate("URL")."</b></span></td>\n";
		 echo "<td class=\"BOX\"><span style=\"font-size: 10px;\"><b>".translate("Size")."</b></span></td>\n";
         $cols = 8;
         if ($admin) {
            $cols = 9;
            echo "<td class=\"BOX\" align=\"center\" width=\"12%\"><span style=\"font-size: 10px;\"><b>".translate("Functions")."</b></span></td><td class=\"BOX\">&nbsp;</td>\n";
         }
         echo "</tr>";
         $a = 0;

         if ( $num_rows_per_order > 0  ) {
            global $anonymous, $user;
        	if($page!=1) 
			 {
			  $j=(($page-1)*$max); //****** initialisation de l'index j pour la navigation dans le tableau des users dpassant le quota
			 }
			  else {
			    $j=0;
			  }

            do { 
			   if($user_over_quota==0) break;
			   
			   //******** Affichage de la liste des utilisateurs dpassant le quota
               $rowcolor = tablos();
               if ($tab_user_over_quota[$j][mns]) {$mns="<a href=\"minisite.php?op=$tab_user_over_quota[$j][uname]\" alt=\"\" title=\"".translate("Mini-Web site")."\" target=\"_blank\" class=\"HEADA\"><b>(w)</b></a>";} else {$mns="";}
               $user_over_quota_uname=$tab_user_over_quota[$j][uname];
               echo "<tr $rowcolor><td><a href=\"user.php?op=userinfo&amp;uname=$user_over_quota_uname\" alt=\"\" title=\"".date(translate("dateinternal"),$tab_user_over_quota[$j][user_regdate])."\"  class=\"HEADA\">$user_over_quota_uname</a>&nbsp;$mns</td>\n";
               echo "<td valign=\"middle\">";
               if ($ibid_avatar=avatar($tab_user_over_quota[$j][user_avatar]))
                  echo "<img src=\"".$ibid_avatar."\" width=\"20\" height=\"20\" border=\"0\" alt=\"\" title=\"\" />";
               else
                  echo "&nbsp;";
               echo "</td>";
               if ($tab_user_over_quota[$j][uname]!=$anonymous) {
                  if ($user) {
                     if ($ibid=theme_image("forum/icons/posticon.gif")) {$imgtmp=$ibid;} else {$imgtmp="images/forum/icons/posticon.gif";}
                     echo "<td><a href=\"replypmsg.php?send=".urlencode($tab_user_over_quota[$j][uname])."\"><img src=\"$imgtmp\" border=\"0\" alt=\"\" title=\"".translate("Send internal Message")."\" /></a></td>";
                     echo "<td align=\"center\">";
                     echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=$sortby&amp;list=$list".urlencode($temp_user[uname]).",&amp;page=$page\" class=\"HEADA\">";
                     echo "<b>+</b></a></td>";
                  } else {
                     echo "<td>&nbsp;</td>";
                     echo "<td>&nbsp;</td>";
                  }
               } else {
                  echo "<td>&nbsp;</td>";
                  echo "<td>&nbsp;</td>";
               }
			   $user_over_quota_name=$tab_user_over_quota[$j][name];
               echo "<td><span style=\"font-size: 10px;\">$user_over_quota_name</span>&nbsp;</td>\n";
               if ($sortby!="user_from ASC") {
			      $user_over_quota_email=$tab_user_over_quota[$j][email];
                  if ($admin) {    
                     echo "<td><a href=\"mailto:".anti_spam($user_over_quota_email)."\" class=\"NOIR\"><span style=\"font-size: 10px;\">".substr($user_over_quota_email,0,strpos($user_over_quota_email,"@"))."</span></a>&nbsp;</td>\n";
                  } else {
                     if ($tab_user_over_quota[$j][user_viewemail]) {
                        echo "<td><a href=\"mailto:".anti_spam($user_over_quota_email)."\" class=\"NOIR\"><span style=\"font-size: 10px;\">".substr($user_over_quota_email,0,strpos($user_over_quota_email,"@"))."</span></a>&nbsp;</td>\n";
                     } else {
					    $user_over_quota_femail=$tab_user_over_quota[$j][femail];
                        echo "<td><span style=\"font-size: 10px;\">".substr($user_over_quota_femail,0,strpos($user_over_quota_femail,"@"))."</span>&nbsp;</td>\n";
                     }
                  }
               } else {
			      $user_over_quota_user_from=$tab_user_over_quota[$j][user_from];
                  echo "<td><span style=\"font-size: 10px;\">$user_over_quota_user_from</span>&nbsp;</td>\n";
               }
			   $user_over_quota_url=$tab_user_over_quota[$j][url];
               echo "<td><a href=\"$user_over_quota_url\" target=\"_blank\" class=\"NOIR\"><span style=\"font-size: 10px;\">$user_over_quota_url</span></a>&nbsp;</td>\n";
               $user_name=$tab_user_over_quota[$j][uname];
               $UploadMI_Folder_Size=( SpaceDisk("users_private/$user_name/MI") /1024)/1024;
               $UploadMI_Folder_Size=number_format($UploadMI_Folder_Size, 1,'.','');
			   echo "<td><b><span style=\"font-size: 10px;\">$UploadMI_Folder_Size</span></a> Mo&nbsp;</b></td>\n";

               if ($admin) {
                  echo "<td align=\"right\"><table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><tr><td align=\"left\" nowrap=\"nowrap\"><a href=\"admin.php?chng_uid=$temp_user[uid]&amp;op=modifyUser\" class=\"NOIR\"><span style=\"font-size: 10px;\">".translate("Edit")."</span></a>\n";
                  echo "&nbsp;<a href=\"admin.php?op=delUser&amp;chng_uid=$temp_user[uid]\" class=\"ROUGE\"><span style=\"font-size: 10px;\">".translate("Delete")."</span></a></td><td>\n";
                  $op_result = mysql_query("select open from users_status where uid='$tab_user_over_quota[$j][uid]'");
                  list($open_user) = mysql_fetch_row($op_result);
                  if ($open_user ==1) {
                     echo "<span style=\"font-size: 10px;\">OK</span></td>";
                  } else {
                     echo "<span style=\"font-size: 10px;\"><b>NOK</b></span></td>";
                  }
                  echo "</tr></table></td><td>";
                  if (!$tab_user_over_quota[$j][is_visible]) {
                     echo "<span style=\"font-size: 10px;\"><b>[I]</b></span></td>";
                  } else {
                     echo "&nbsp;&nbsp;</td>";
                  }
               }
               echo "</tr>";
			 $j++;  
            }
			while( $j==0 ||($j%$max)!=0 && ($j<$user_over_quota) );

            if ($user) {
               echo "<tr><td colspan=\"$cols\" align=\"left\">\n";
		       echo "<hr class=\"ONGL\"><li>".urldecode($list)."</li><br /><hr noshade class=\"ONGL\">";
               echo "[ <a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=$sortby&amp;page=$page\" class=\"NOIR\">".translate("RAZ member's list")."</a> ]";
               if ($list) {
                  echo " - [ <a href=\"replypmsg.php?send=".substr($list,0,strlen($list)-3)."\" class=\"NOIR\">".translate("Write to the list")."</a> ]";
               }
            }
            echo "</td></tr>\n<tr><td colspan=\"$cols\" align=\"right\">\n";
            echo "<br />";
            echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"4\" cols=\"3\" border=\"0\"><tr>";
            if ( $user_over_quota > $pagesize ) {
               $total_pages = ceil($user_over_quota / $pagesize); // How many pages are we dealing with here ??
               $prev_page = $page - 1;
               if ( $prev_page > 0 ) {
                  echo "<td align=\"right\" width=\"15%\" class=\"HEADER\"><a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=$sortby&amp;list=$list&amp;page=$prev_page\">";
                  if ($ibid=theme_image("download/left.gif")) {$imgtmp=$ibid;} else {$imgtmp="images/download/left.gif";}
                  echo "<img src=\"$imgtmp\" border=\"0\" alt=\"".translate("Previous Page")." ($prev_page)\" /></a></td>";
               } else {
                  echo "<td width=\"15%\" class=\"HEADER\">&nbsp;</td>\n";
               }
               echo "<td align=\"center\" width=\"70%\" class=\"HEADER\">";
               echo "$user_over_quota ".translate("users found for")." <b>$letter</b> $num_rows_per_order"." ".translate("Users");
               echo "</td>";
               $next_page = $page + 1;
               if ( $next_page <= $total_pages ) {
                  echo "<td align=\"left\" width=\"15%\" class=\"HEADER\"><a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=$sortby&amp;list=$list&amp;page=$next_page\">";
                  if ($ibid=theme_image("download/right.gif")) {$imgtmp=$ibid;} else {$imgtmp="images/download/right.gif";}
                  echo "<img src=\"$imgtmp\" border=\"0\" alt=\"".translate("Next Page")." ($next_page)\" /></a></td>";
               } else {
                  echo "<td width=\"15%\" class=\"HEADER\">&nbsp;</td></tr>\n";
               }
               echo "<tr><td colspan=\"3\" align=\"center\" class=\"HEADER\">";
               echo "[ ";
               for($n=1; $n < $total_pages; $n++) {
                  if ($n == $page) {
                     echo "<span class=\"ROUGE\">$n</span>";
                  } else {
                     echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=$sortby&amp;list=$list&amp;page=$n\" class=\"BOX\">$n</a>";
                  }
                  if ($n >= 150) {  // if more than 150 pages are required, break it at 150.
                     $break = true;
                     break;
                  } else {
                     echo " | ";
                  }
               }
               if (!isset($break)) {
                  if ($n == $page) {
                     echo "<span class=\"ROUGE\">$n</span>";
                  } else {
                     echo "<a href=\"admin.php?op=Extend-Admin-SubModule&amp;ModPath=UploadMI&amp;ModStart=admin/index&amp;letter=$letter&amp;sortby=$sortby&amp;list=$list&amp;page=$total_pages\" class=\"BOX\">$n</a>";
                  }
               }
               echo " ] ";
               echo "</td></tr>";
            } else {
               echo "<td align=\"center\">";
               echo "$user_over_quota ".translate("users found").".";
               echo "</td></tr>";
            }
            echo "</table>\n";
            echo "</td></tr>\n";
         } else {
            echo "<tr><td colspan=\"$cols\" align=\"center\"><br />\n";
            echo "<b>".translate("No Members Found for")." $letter</b>\n";
            echo "<br /></td></tr>\n";
         }
         echo "\n</table>\n";
      }
      CloseTable();
   }
   if (!$admin) {
      if ($SuperCache) {
         $cache_obj->endCachingPage();
      }
   }
 }
?>