<?PHP
/************************************************************************/
/* Upload / meta fonction and automation for NPDS .                     */
/* This version name NPDS Copyright (c) 2001-2005 by Philippe Brunier   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
if (!eregi("modules.php", $PHP_SELF)) { die(); }

/*****************************************************/
/* Include et definition                             */
/*****************************************************/
   include_once("modules/UploadMI/lang/$language.php");
   include_once("modules/UploadMI/include_editeur/upload.conf.editeur.php");
   
/************************************************************************/
/* SpaceDisk() : fonction de calcul de la taille d'un rpertoire        */
/*======================================================================*/

 function SpaceDisk($repertoire)
  {
   $dossier = opendir($repertoire);
   while ($Fichier = readdir($dossier)) 
    {
     if ($Fichier != "." && $Fichier != "..") 
       {
        $nomFichier = $repertoire."/".$Fichier;
        $size += filesize($nomFichier);
       }
    }

   return($size);
  }

/************************************************************************/
/* Effacer(): fonction d'effacement d'un rpertoire                     */
/*======================================================================*/

 function Effacer($fichier) 
 { 
  if (file_exists($fichier)) 
  { 
   chmod($fichier,0777); 
   if (is_dir($fichier)) 
   { 
    $id_dossier = opendir($fichier); 
    while($element = readdir($id_dossier)) 
    { 
     if ($element != "." && $element != "..") 
     unlink($fichier."/".$element); 
    } 
    closedir($id_dossier); 
    rmdir($fichier); 
   } 
   else unlink($fichier); 
  } 
 }
 
/*****************************************************/
/* Entete                                            */
/*****************************************************/
   include("meta/meta.php");
   if ($url_upload_css) {
      $url_upload_cssX=str_replace("style.css","$language-style.css",$url_upload_css);
      if (is_readable($url_upload.$url_upload_cssX))
         $url_upload_css=$url_upload_cssX;
      print ("<link href=\"".$url_upload.$url_upload_css."\" title=\"default\" rel=\"stylesheet\" type=\"text/css\" media=\"all\" />\n");
   }
   echo "<title>".uploadMI_translate("Tlcharg.")."</title></head>\n";
   if (strstr(getenv("HTTP_USER_AGENT"),"MSIE")) {
      $MSIE=true;
      //echo "<script language='javascript' src='editeur/tiny_mce/tiny_mce_popup.js'></script>";
   }
   if ($actiontype) {
      switch ($actiontype) {
      case 'upload' :
       $ret=editeur_upload();
	   if($ret!="") {
         echo  "<script language=\"javascript\">\n";
         echo "window.opener.document.coolsus.message.value+=\" $nuke_url/$ret\";\n"; 
         echo "top.close();\n";
         echo "</script>";
         die();
	   }
       break;
	  case 'purge'  :
	   Effacer($path_upload_editeur."MI/");
	   echo "- ".uploadMI_translate("Purge du rpertoire")." ".$path_upload_editeur."MI/ ".uploadMI_translate("effectue")."<br /><br />"; 
       echo  "<center><a href=\"javascript:window.close()\">".uploadMI_translate("Fermer la fentre")."</a></center>";
	   die();
	   break;
      }
   }

   echo  "<script language=\"javascript\">\n";
   echo "window.resizeTo(500,250);\n"; 
   echo "</script>";

   echo "\n<body topmargin=\"0\" leftmargin=\"0\" rightmargin=\"0\">";
   echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" width=\"100%\">";
   echo "<form method=\"post\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\" name=\"formEdit\">";
   echo "<input type=\"hidden\" name=\"ModPath\" value=\"$ModPath\">\n<input type=\"hidden\" name=\"ModStart\" value=\"$ModStart\">\n<input type=\"hidden\" name=\"apli\" value=\"$apli\">\n";
   echo "<input type=\"hidden\" name=\"actiontype\" value=\"upload\">";
   echo "<tr><td align=\"left\" valign=\"middle\">
         <b>".uploadMI_translate("Tlcharger un fichier sur le serveur")."</b> :
         <table border=\"0\" cellpadding=\"4\" cellspacing=\"0\">
         <tr>
            <td>".uploadMI_translate("Fichier :")."</td>
            <td><input name=\"pcfile\" class=\"TEXTBOX_STANDARD\" type=\"file\" id=\"pcfile\" value=\"\"><br /></td>
         </tr>
         <tr>
            <td colspan=\"2\"><input type=\"submit\" class=\"BOUTON_STANDARD\" name=\"insert\" value=\"".uploadMI_translate("Joindre")."\">
            <span style=\"font-size: 9px;\">(".uploadMI_translate("Image / Document : taille max ").$max_size.")</span>
            </td>	
         </tr>
         </table></td></tr>
         </table>";

   //--- Calcul de l'espace disque occup par les pices jointes de l'utilisateur
   
   if(file_exists($path_upload_editeur."MI/")) { 
     $UploadMI_Folder_Size=( SpaceDisk($path_upload_editeur."MI/") /1024)/1024;
     $UploadMI_Folder_Size=number_format($UploadMI_Folder_Size, 1,'.','');
   } else {
     $UploadMI_Folder_Size=0;
     }

   echo uploadMI_translate("Espace actuel occup par vos pices jointes: ").$UploadMI_Folder_Size." Mo<br /><br />";
   
   //--- Conversion en Mo du quota
   
   $quota_MI_Mo=$quota_MI/1024/1024;
   $quota_MI_Mo=number_format($quota_MI_Mo, 1,'.','');
   
   //--- Message d'avertissment de dpassement de quota
   
   if($UploadMI_Folder_Size<$quota_MI_Mo)
    {
	  echo uploadMI_translate("Vous ne dpassez pas le quota maximal de pices jointes fix  ").$quota_MI_Mo." Mo";
	}
	else
	     {
		   echo "<b>".uploadMI_translate("Attention:")."</b> ".uploadMI_translate("Vous dpassez le quota maximal de pices jointes fix  ").$quota_MI_Mo." Mo<br />";
		   echo uploadMI_translate("Pour purger vos pices jointes, cliquez ")."<a href=\"modules.php?ModPath=$ModPath&amp;ModStart=include_editeur/upload_editeur2&amp;actiontype=purge\">"."<b>".uploadMI_translate("ici")."</b>"."</a>"; 

		 }
   echo "</form></body></html>";

/*****************************************************/
/* Upload du fichier                                 */
/*****************************************************/
function load_mimetypes () {
   global $mimetypes, $mimetype_default, $mime_dspinl, $mime_dspfmt, $mime_renderers, $att_icons, $att_icon_default, $att_icon_multiple;
   if (defined ('ATT_DSP_LINK')) {
      return;
   }

   if (file_exists("modules/UploadMI/include/mimetypes.php") ) {
      include ("modules/UploadMI/include/mimetypes.php");
   }
}

function editeur_upload() {
   global $apli, $pcfile, $pcfile_size, $pcfile_name, $pcfile_type;
   global $MAX_FILE_SIZE, $MAX_FILE_SIZE_TOTAL, $mimetypes, $mimetype_default, $rep_upload_editeur, $path_upload_editeur;

   include "modules/UploadMI/include/fileupload.php";

   // Rcupration des valeurs de PCFILE
   global $HTTP_POST_FILES, $_FILES;
   if (!empty($HTTP_POST_FILES))
       $fic=$HTTP_POST_FILES;
   else
       $fic=$_FILES;
   $pcfile_name = $fic['pcfile']['name'];
   $pcfile_type = $fic['pcfile']['type'];
   $pcfile_size = $fic['pcfile']['size'];
   $pcfile = $fic['pcfile']['tmp_name'];

   $fu = new FileUpload;
   $fu->init ($rep_upload_editeur,"",$apli);

   $attachments = $fu->getUploadedFiles("","");
   if (is_array ($attachments) ) {
      $att_count = $attachments["att_count"];
      $att_size = $attachments["att_size"];
      if (is_array($pcfile_name)) {
         reset ($pcfile_name);
         $names = implode (", ", $pcfile_name);
         $pcfile_name = $names;
      }
      return ($path_upload_editeur."MI/".str_replace('+','%20',urlencode($pcfile_name))); // Modif du 06/09/2006 pour upload des pj dans sous-rpertoire MI sous users_private
   } else {
      return ("");
   }
}
?>